#ifndef __PARSER_HEADER_INCLUDED__
#define __PARSER_HEADER_INCLUDED__

typedef int (*proc_parser_run)(char *);

struct parser {
	struct parser	*next;
	const char	*name;
	proc_parser_run	load_file;
};

#ifndef __PLUGIN__
void parser_init(void);
int parser_add(const char *, proc_parser_run);
int parser_load(char *, char *);
#else
typedef int(*proc_parser_add)(const char *, proc_parser_run);
typedef int(*proc_parser_load)(char *, char *);
#endif

#endif /* __PARSER_HEADER_INCLUDED__ */
